optionFree(3)

NAME
optionFree - free allocated option processing memory

SYNOPSIS
#include <your-opts.h>
cc [...] -o outfile infile.c -lopts [...]

void optionFree(tOptions * pOpts);

DESCRIPTION
AutoOpts sometimes allocates memory and puts pointers to it in the option state structures. This routine deallocates all such memory.

pOpts
    program options descriptor

ERRORS
As long as memory has not been corrupted, this routine is always successful.

SEE ALSO
The info documentation for the -lopts library.
ao_string_tokenize(3), configFileLoad(3), optionFileLoad(3), optionFindNextValue(3), optionFindValue(3), optionGetValue(3), optionLoadLine(3), optionMemberList(3), optionNextValue(3), optionOnlyUsage(3), optionPrintVersion(3), optionPrintVersionAndReturn(3), optionProcess(3), optionRestore(3), optionSaveFile(3), optionSaveState(3), optionUnloadNested(3), optionVersion(3), strequate(3), streqvcmp(3), streqvmap(3), strneqvcmp(3), strtransform(3),